#include "memcard.hpp"
#include "memcard/memorycard.hpp"
#include "memcard/make_memory_card.hpp"
#include <iostream>
#include <iomanip>

void print_blocks (const std::string& mc_path) {
	using mc::psx::MemoryCard;
	using mc::psx::make_memory_card;

	const MemoryCard mc (make_memory_card(mc_path));
	{
		mc::psx::ContentInfo nfo = mc.content_info();
		if (nfo.magic != nfo.MCMagic) {
			std::cout << "Invalid memory card data\n";
			return;
		}
	}

	for (const auto& blk : mc) {
		if (blk.has_magic()) {
			std::cout << "Block " << std::setfill(' ') << std::setw(2) << blk.index() + 1
				<< ": \"" << blk.title() << '"';
			if (blk.block_count() > 1) {
				std::cout << " [" << blk.block_count() << ']';
			}
			std::cout << '\n';
		}
	}
}
