#pragma once

#include <cstdint>

namespace mc::psx {
template <bool Const> class BasicBlock;
using ConstBlock = BasicBlock<true>;

enum class BlockContent : uint8_t {
	Available = 0xA0,
	UsedLinkNextBlock = 0x51,
	UsedMidLink = 0x52,
	UsedEndLink = 0x53,
	Unusable = 0xff
};

struct ContentInfo {
	ContentInfo (const ConstBlock& block);

	uint32_t use_byte;
	uint16_t magic;
	BlockContent available_blocks;

	static const constexpr uint16_t MCMagic = 'M' | ('C' << 8);
	static const constexpr uint16_t SCMagic = 'S' | ('C' << 8);
};
} //namespace mc::psx
