#include "memcard/make_memory_card.hpp"
#include <iterator>
#include <fstream>

namespace mc::psx {
MemoryCard make_memory_card(std::istream&& raw_mc) {
	raw_mc >> std::noskipws;

	return MemoryCard{
		std::istream_iterator<uint8_t>(raw_mc),
		std::istream_iterator<uint8_t>(),
	};
}

MemoryCard make_memory_card(const std::string& path) {
	return make_memory_card(std::ifstream(path, std::ios::binary));
}
} //namespace mc::psx
